# Netlify Styleguide

This is the living styleguide for Netlify.

[netlify-styleguide.netlify.com](https://netlify-styleguide.netlify.com)

As with www.netlify.com, it's based on Victor Hugo and use the same general structure. The goal is to build out our universal base CMS - the `bootstrap` of Netlify, and be able to pull it into both the marketing site and the app via NPM.

## Usage

Be sure that you have the latest node and npm installed

Next, clone this repository and run:

```bash
npm install
npm start
```

via npm
```bash
npm install netlify-styleguide --save
```

Then add the a reference to the entry point for your css in webpack
```js
import "netlify-styleguide/src/css/main.css"
```

Then visit http://localhost:3000/ - BrowserSync will automatically reload CSS or
refresh the page when stylesheets or content changes.

To build your static output to the `/dist` folder, use:

```bash
npm run build
```

## Working on the styleguide

Each page in the styleguide is a markdown document in the folder `site/content/styleguide`.

Within the styleguide you can use the `{{< example >}}` shortcode to show your HTML snippets.

Header tags will automatically be used to build a table of contents for the page in the sidebar.

To work on the actual CSS edit `src/css/main.css` and any files imported there.
